## reclass 1.2.2

=== Makefile ===
#
# This file is part of reclass (http://github.com/madduck/reclass)
#
# Copyright © 2007–13 martin f. krafft <madduck@madduck.net>
# Released under the terms of the Artistic Licence 2.0
#
PYFILES = $(shell find -name .git -o -name dist -o -name build -prune -o -name '*.py' -print)

tests:
	python ./run_tests.py
.PHONY: tests

lint:
	@echo pylint --rcfile=.pylintrc $(ARGS) …
	@pylint --rcfile=.pylintrc $(ARGS) $(PYFILES)
.PHONY: lint

lint-errors: ARGS=--errors-only
lint-errors: lint
.PHONY: lint-errors

lint-report: ARGS=--report=y
lint-report: lint
.PHONY: lint-report

coverage: .coverage
	python-coverage -r -m
.PHONY: coverage
.coverage: $(PYFILES)
	python-coverage -x setup.py nosetests

docs:
	$(MAKE) -C doc man html

GH_BRANCH=gh-pages
HTMLDIR=doc/build/html
docspub:
ifeq ($(shell git branch --list $(GH_BRANCH)-base),)
	@echo "Please fetch the $(GH_BRANCH)-base branch from Github to be able to publish documentation:" >&2
	@echo "  git branch gh-pages-base origin/gh-pages-base" >&2
	@false
else
	$(MAKE) docs
	git checkout $(GH_BRANCH) || git checkout -b $(GH_BRANCH) $(GH_BRANCH)-base
	git reset --hard $(GH_BRANCH)-base
	git add $(HTMLDIR)
	git mv $(HTMLDIR)/* .
	git commit -m'Webpage update'
	git push -f $(shell git config --get branch.$(GH_BRANCH)-base.remote) $(GH_BRANCH)
	git checkout '@{-1}'
endif

docsclean:
	$(MAKE) -C doc clean

## reclass 1.1

=== debian/changelog ===
reclass (1.1-1) unstable; urgency=low

  * Add a build-dependency on python-yaml, thanks Jeroen Dekkers.
  * Fix inter-package dependencies (use binary:Version instead of
    source:Version), again thanks Jeroen Dekkers.
  * Move reclass binary package into 'admin' section.

 -- martin f. krafft <madduck@debian.org>  Wed, 28 Aug 2013 09:13:48 +0200

reclass (1.0.2-1) unstable; urgency=low

  * New upstream release (version number fix).
  * Split Python module into python-reclass.

 -- martin f. krafft <madduck@debian.org>  Tue, 27 Aug 2013 21:43:20 +0200

reclass (1.0.1-1) unstable; urgency=low

  * New upstream release (documentation updates only).

 -- martin f. krafft <madduck@debian.org>  Tue, 27 Aug 2013 18:07:39 +0200

reclass (1.0-1) unstable; urgency=low

  * Initial release (closes: #720922).

 -- martin f. krafft <madduck@debian.org>  Mon, 26 Aug 2013 10:52:31 +0200

=== debian/control ===
Source: reclass
Section: python
Priority: extra
Maintainer: martin f. krafft <madduck@debian.org>
Build-Depends: python-setuptools, python, debhelper (>= 8.9.7), python-sphinx, python-yaml
Standards-Version: 3.9.4
XS-Python-Version: all
Homepage: http://reclass.pantsfullofunix.net/
Vcs-Git: git://git.debian.org/collab-maint/reclass.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/reclass.git;a=summary

Package: reclass
Architecture: all
Section: admin
Depends: python-reclass (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Suggests: reclass-doc
Description: hierarchical inventory backend for configuration management systems
 reclass is an "external node classifier" (ENC) as can be used with automation
 tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
 merging data sources recursively.
 .
 The purpose of an ENC is to allow a system administrator to maintain an
 inventory of nodes to be managed, completely separately from the configuration
 of the automation tool. Usually, the external node classifier completely
 replaces the tool-specific inventory (such as site.pp for Puppet,
 ext_pillar/master_tops for Salt, or /etc/ansible/hosts).
 .
 reclass allows you to define your nodes through class inheritance, while
 always able to override details further up the tree (i.e. in more specific
 nodes). Think of classes as feature sets, as commonalities between nodes, or
 as tags. Add to that the ability to nest classes (multiple inheritance is
 allowed, well-defined, and encouraged), and piece together your infrastructure
 from smaller bits, eliminating redundancy and exposing all important
 parameters to a single location, logically organised.
 .
 This package provides the reclass CLI and adapters for Salt and Ansible.

Package: python-reclass
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: hierarchical inventory backend for configuration management systems
 reclass is an "external node classifier" (ENC) as can be used with automation
 tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
 merging data sources recursively.
 .
 The purpose of an ENC is to allow a system administrator to maintain an
 inventory of nodes to be managed, completely separately from the configuration
 of the automation tool. Usually, the external node classifier completely
 replaces the tool-specific inventory (such as site.pp for Puppet,
 ext_pillar/master_tops for Salt, or /etc/ansible/hosts).
 .
 reclass allows you to define your nodes through class inheritance, while
 always able to override details further up the tree (i.e. in more specific
 nodes). Think of classes as feature sets, as commonalities between nodes, or
 as tags. Add to that the ability to nest classes (multiple inheritance is
 allowed, well-defined, and encouraged), and piece together your infrastructure
 from smaller bits, eliminating redundancy and exposing all important
 parameters to a single location, logically organised.

Package: reclass-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: reclass documentation
 Provides the documentation for reclass.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_BUILDSYSTEM_OPTION=--buildsystem=python_distutils
DH_OPTIONS=--with python2,sphinxdoc $(DH_BUILDSYSTEM_OPTION)

%:
	dh $@ $(DH_OPTIONS)

override_dh_sphinxdoc:
	dh_sphinxdoc || :

override_dh_auto_build:
	PYTHONPATH=.. $(MAKE) -C doc man html text

override_dh_install:
	dh_install
	mv debian/tmp/usr/bin/reclass-* debian/reclass/usr/share/reclass

override_dh_installchangelogs:
	dh_installchangelogs doc/build/text/changelog.txt

override_dh_clean:
	dh_clean -O$(DH_BUILDSYSTEM_OPTION)
	$(MAKE) docsclean

## reclass 1.2.2

=== debian/changelog ===
reclass (1.2.2-1) unstable; urgency=medium

  * New upstream release, fixing recursion of class mappings.
  * Updated Standards-Version to 3.9.5; no changes required.

 -- martin f. krafft <madduck@debian.org>  Fri, 27 Dec 2013 09:44:42 +1300

reclass (1.2.1-1) unstable; urgency=low

  * New upstream release, fixing the Salt adapter.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Dec 2013 17:08:15 +1300

reclass (1.2-1) unstable; urgency=low

  * New upstream release, with the following major changes:
    - class mappings
    - parameter interpolation across lists
    - classes caching
    - yaml_fs: nodes may reside in subdirectories
  * Remove dangling symlink from /usr/share/doc/reclass/html, add a note about
    documentation in reclass-doc (and online) to README.Debian instead.

 -- martin f. krafft <madduck@debian.org>  Wed, 28 Aug 2013 13:24:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: martin f. krafft <madduck@debian.org>
 Build-Depends: python-setuptools, python, debhelper (>= 8.9.7), python-sphinx, python-yaml
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Python-Version: all
 Homepage: http://reclass.pantsfullofunix.net/
 Vcs-Git: git://git.debian.org/collab-maint/reclass.git

## reclass 1.3

=== debian/changelog ===
reclass (1.3-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Sat, 01 Mar 2014 14:48:19 +0100

## reclass 1.4.1

=== debian/changelog ===
reclass (1.4.1-3ubuntu1) focal; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 19:28:33 +0000

reclass (1.4.1-3) unstable; urgency=medium

  * Revert d/compat and standards update to allow stretch migration

 -- Filip Pytloun <filip@pytloun.cz>  Sat, 11 Mar 2017 10:14:58 +0100

reclass (1.4.1-2) unstable; urgency=medium

  * d/patches: backport Fix UndefinedVariableError (Closes: #857337)
  * Add d/watch file
  * Raise d/compat to 10, update standards to 3.9.8
  * Add myself as uploader

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 10 Mar 2017 08:45:53 +0100

reclass (1.4.1-1) unstable; urgency=low

  * New upstream release reverting the logging changes, which weren't ready
    yet.

 -- martin f. krafft <madduck@debian.org>  Tue, 28 Oct 2014 15:56:59 +0100

reclass (1.4-1) unstable; urgency=low

  * New upstream release (closes: #761952).
  * Compliant with Debian Policy 3.9.6.

 -- martin f. krafft <madduck@debian.org>  Sat, 25 Oct 2014 15:12:25 +0200

reclass (1.3-2) UNRELEASED; urgency=medium

  * Add myself as uploader.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Improve long description of reclass-doc.
  * Have python-reclass depend on python-pkg-resources.
    Closes: bug#757423.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Sep 2014 10:17:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,25 @@
 Section: python
 Priority: extra
 Maintainer: martin f. krafft <madduck@debian.org>
-Build-Depends: python-setuptools, python, debhelper (>= 8.9.7), python-sphinx, python-yaml
-Standards-Version: 3.9.5
+Uploaders: Jonas Smedegaard <dr@jones.dk>, Filip Pytloun <filip@pytloun.cz>
+Build-Depends: debhelper (>= 8.9.7),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-sphinx,
+               python-yaml
+Standards-Version: 3.9.6
 XS-Python-Version: all
 Homepage: http://reclass.pantsfullofunix.net/
-Vcs-Git: git://git.debian.org/collab-maint/reclass.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/reclass.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/reclass.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/reclass.git?h=debian
 
 Package: reclass
 Architecture: all
 Section: admin
-Depends: python-reclass (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends: python-reclass (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: reclass-doc
 Description: hierarchical inventory backend for configuration management systems
  reclass is an "external node classifier" (ENC) as can be used with automation
@@ -37,7 +45,7 @@
 
 Package: python-reclass
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
 Description: hierarchical inventory backend for configuration management systems
  reclass is an "external node classifier" (ENC) as can be used with automation
  tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
@@ -60,6 +68,10 @@
 Package: reclass-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: reclass documentation
- Provides the documentation for reclass.
+ reclass is an "external node classifier" (ENC) as can be used with automation
+ tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
+ merging data sources recursively.
+ .
+ This package provides the documentation for reclass.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_BUILDSYSTEM_OPTION=--buildsystem=pybuild
DH_OPTIONS=--with python2,sphinxdoc $(DH_BUILDSYSTEM_OPTION)

%:
	dh $@ $(DH_OPTIONS)

override_dh_sphinxdoc:
	dh_sphinxdoc || :

override_dh_auto_build:
	PYTHONPATH=.. $(MAKE) -C doc man html

override_dh_install:
	dh_install
	mv debian/tmp/usr/bin/reclass-* debian/reclass/usr/share/reclass

override_dh_installchangelogs:
	dh_installchangelogs doc/source/changelog.rst

override_dh_clean:
	dh_clean -O$(DH_BUILDSYSTEM_OPTION)
	$(MAKE) docsclean

=== debian/watch ===
version=3
#opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/reclass/reclass-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## reclass 1.7.0

=== requirements.txt ===
pyparsing
pyyaml
six
enum34
ddt

=== debian/changelog ===
reclass (1.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:38:49 +0200

reclass (1.7.0-1) unstable; urgency=medium

  * New upstream
  * Raise compat to 13, update standards to 4.5.1
  * d/copyright: Remove duplicate field "Copyright"
  * d/rules: Move executables into reclass package

 -- Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>  Thu, 21 Jan 2021 12:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: reclass
 Section: python
-Priority: extra
-Maintainer: martin f. krafft <madduck@debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>, Filip Pytloun <filip@pytloun.cz>
-Build-Depends: debhelper (>= 8.9.7),
+Priority: optional
+Maintainer: Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-sphinx,
-               python-yaml
-Standards-Version: 3.9.6
-XS-Python-Version: all
-Homepage: http://reclass.pantsfullofunix.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/reclass.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/reclass.git?h=debian
+               python3-all,
+               python3-ddt,
+               python3-pyparsing,
+               python3-setuptools,
+               python3-six,
+               python3-sphinx,
+               python3-yaml,
+Standards-Version: 4.5.1
+Homepage: https://github.com/salt-formulas/reclass
+Vcs-Git: https://salsa.debian.org/animux/reclass.git
+Vcs-Browser: https://salsa.debian.org/animux/reclass
 
 Package: reclass
 Architecture: all
 Section: admin
-Depends: python-reclass (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: python3-reclass (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
 Suggests: reclass-doc
 Description: hierarchical inventory backend for configuration management systems
  reclass is an "external node classifier" (ENC) as can be used with automation
@@ -41,11 +40,13 @@
  from smaller bits, eliminating redundancy and exposing all important
  parameters to a single location, logically organised.
  .
+ This is the fork of the original reclass by SaltStack Formulas.
+ .
  This package provides the reclass CLI and adapters for Salt and Ansible.
 
-Package: python-reclass
+Package: python3-reclass
 Architecture: all
-Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: hierarchical inventory backend for configuration management systems
  reclass is an "external node classifier" (ENC) as can be used with automation
  tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
@@ -64,14 +65,18 @@
  allowed, well-defined, and encouraged), and piece together your infrastructure
  from smaller bits, eliminating redundancy and exposing all important
  parameters to a single location, logically organised.
+ .
+ This is the fork of the original reclass by SaltStack Formulas.
 
 Package: reclass-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: reclass documentation
  reclass is an "external node classifier" (ENC) as can be used with automation
  tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
  merging data sources recursively.
  .
+ This is the fork of the original reclass by SaltStack Formulas.
+ .
  This package provides the documentation for reclass.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = reclass

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source/ doc/build/html
	PYTHONPATH=. python3 -m sphinx -N -bman doc/source/ doc/build/man

override_dh_compress-indep:
	dh_compress -Xchangelog.html

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/reclass/usr/bin debian/reclass/usr/share/reclass
	mv debian/python3-reclass/usr/bin/reclass debian/reclass/usr/bin
	mv debian/python3-reclass/usr/bin/* debian/reclass/usr/share/reclass

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/reclass-$1\.tar\.gz/ \
  https://github.com/salt-formulas/reclass/tags .*/v?(\d\S+)\.tar\.gz

## reclass 1.7.1

=== requirements.txt ===
pyparsing
pyyaml
six
enum34 ; python_version<'3.4'
ddt

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build -N
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/reclass.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/reclass.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/reclass"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/reclass"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
reclass (1.7.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1082630)
  * debian/patches:
    - Remove 0001-Remove-enum34-requirement-for-python3.patch, applied
      upstream.
    - Add 0001-Replace-distutils.version-with-packaging.version.patch
      to replace distutils.
  * debian/control:
    - Bump standards version to 4.7.0, no changes.
    - Add Multi-Arch metadata to reclass-doc, thanks multiarch hinter.
    - Add 'Rules-Requires-Root: no'
  * Email change: Alexander Sulfrian -> alexander@sulfrian.net
  * Add doc-base control file
  * debian/rules:
    - Remove doc/build/ in dh_auto_clean to fix ftbfs-source-after-build.
      (Closes: #1048627)
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse,
    Repository.

 -- Alexander Sulfrian <alexander@sulfrian.net>  Thu, 13 Feb 2025 17:16:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: reclass
 Section: python
 Priority: optional
-Maintainer: Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>
+Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -11,10 +11,11 @@
                python3-six,
                python3-sphinx,
                python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/salt-formulas/reclass
 Vcs-Git: https://salsa.debian.org/animux/reclass.git
 Vcs-Browser: https://salsa.debian.org/animux/reclass
+Rules-Requires-Root: no
 
 Package: reclass
 Architecture: all
@@ -47,7 +48,7 @@
 Package: python3-reclass
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: hierarchical inventory backend for configuration management systems
+Description: hierarchical inventory backend for configuration management systems (Python 3)
  reclass is an "external node classifier" (ENC) as can be used with automation
  tools, such as Puppet, Salt, and Ansible. It is also a stand-alone tool for
  merging data sources recursively.
@@ -70,6 +71,7 @@
 
 Package: reclass-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: reclass documentation

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 	mkdir -p debian/reclass/usr/bin debian/reclass/usr/share/reclass
 	mv debian/python3-reclass/usr/bin/reclass debian/reclass/usr/bin
 	mv debian/python3-reclass/usr/bin/* debian/reclass/usr/share/reclass
+
+override_dh_auto_clean:
+	dh_auto_clean
+	-$(RM) -rf doc/build/
